com.intellectualcrafters.plot.object

## Class StringWrapper

- java.lang.Object
- - com.intellectualcrafters.plot.object.StringWrapper

-     public class StringWrapper
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StringWrapper(java.lang.String value)` Constructor

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)` Check if a wrapped string equals another one
    `int` | `hashCode()` Get the hash value
    `java.lang.String` | `toString()` Get the string value

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### value

          public java.lang.String value

  - ### Constructor Detail

    - #### StringWrapper

          public StringWrapper(java.lang.String value)

      Constructor
      Parameters:
        `value` - to wrap

  - ### Method Detail

    - #### equals

          public boolean equals(java.lang.Object obj)

      Check if a wrapped string equals another one
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `obj` - to compare
      Returns:
        true if obj equals the stored value

    - #### toString

          public java.lang.String toString()

      Get the string value
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        string value

    - #### hashCode

          public int hashCode()

      Get the hash value
      Overrides:
        `hashCode` in class `java.lang.Object`
      Returns:
        has value